APLRecord.Element (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class APLRecord.Element

- java.lang.Object
- - org.xbill.DNS.APLRecord.Element

- Enclosing class:
    APLRecord

      public static class APLRecord.Element
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object` | `address`
    `int` | `family`
    `boolean` | `negative`
    `int` | `prefixLength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `APLRecord.Element(boolean negative, InetAddress address, int prefixLength)` Creates an APL element corresponding to an IPv4 or IPv6 prefix.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object arg)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### family

          public final int family

    - #### negative

          public final boolean negative

    - #### prefixLength

          public final int prefixLength

    - #### address

          public final Object address

  - ### Constructor Detail

    - #### APLRecord.Element

          public APLRecord.Element(boolean negative,
                           InetAddress address,
                           int prefixLength)

      Creates an APL element corresponding to an IPv4 or IPv6 prefix.
      Parameters:
        `negative` - Indicates if this prefix is a negation.
        `address` - The IPv4 or IPv6 address.
        `prefixLength` - The length of this prefix, in bits.
      Throws:
        `IllegalArgumentException` - The prefix length is invalid.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object arg)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`